package com.xindazhou.vehicle.service.gallery;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleGalleryPageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleGalleryRespVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleImagePageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleImageRespVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleImageMoveReqVO;

import java.util.Collection;

/**
 * 车辆图库 Service 接口
 *
 * @author xindazhou
 */
public interface VehicleGalleryService {

    PageResult<VehicleGalleryRespVO> getVehicleGalleryPage(VehicleGalleryPageReqVO pageReqVO);

    VehicleGalleryRespVO getVehicleGalleryDetail(String categoryId, String modelId);

    PageResult<VehicleImageRespVO> getVehicleImagePage(VehicleImagePageReqVO pageReqVO);

    void uploadVehicleImage(Long galleryId, String category, String url, String name);

    void deleteVehicleImage(Long id);

    void batchDeleteVehicleImage(Collection<Long> ids);

    void moveVehicleImage(VehicleImageMoveReqVO reqVO);

}

